MVN

com.baidu.aip : java-sdk

Maven & Gradle

May 16, 2023
19 usages
556 stars

aip-java-sdk · The AIP SDK for Java provides Java APIs for all of AI APIs.

<dependency>
    <groupId>com.baidu.aip</groupId>
    <artifactId>java-sdk</artifactId>
    <version>4.16.16</version>
</dependency>
Copy
pom.xml
Table Of Contents

Latest Version

Choose a version of com.baidu.aip : java-sdk to add to Maven or Gradle - Latest Versions:

  • Latest Stable: 4.16.16

All Versions

Choose a version of com.baidu.aip : java-sdk to add to Maven or Gradle - All Versions:

Version Vulnerabilities Updated
4.16.x
java-sdk-4.16.16
java-sdk-4.16.15
java-sdk-4.16.14
java-sdk-4.16.13
java-sdk-4.16.12
java-sdk-4.16.11
java-sdk-4.16.10
java-sdk-4.16.9
java-sdk-4.16.8
java-sdk-4.16.7
java-sdk-4.16.6
java-sdk-4.16.5
java-sdk-4.16.4
java-sdk-4.16.3
java-sdk-4.16.2
java-sdk-4.16.1
java-sdk-4.16.0
4.15.x
java-sdk-4.15.8
java-sdk-4.15.7
java-sdk-4.15.6
java-sdk-4.15.5
java-sdk-4.15.4
java-sdk-4.15.3
java-sdk-4.15.2
java-sdk-4.15.1
java-sdk-4.15.0
4.12.x
java-sdk-4.12.0
4.11.x
java-sdk-4.11.3
java-sdk-4.11.0
4.10.x
java-sdk-4.10.0
4.9.x
java-sdk-4.9.0
4.8.x
java-sdk-4.8.0
4.7.x
java-sdk-4.7.0
4.6.x
java-sdk-4.6.1
java-sdk-4.6.0
4.5.x
java-sdk-4.5.0
4.4.x
java-sdk-4.4.1
java-sdk-4.4.0
4.3.x
java-sdk-4.3.2
java-sdk-4.3.1
java-sdk-4.3.0
4.2.x
java-sdk-4.2.0
4.1.x
java-sdk-4.1.1
java-sdk-4.1.0
4.0.x
java-sdk-4.0.0
3.4.x
java-sdk-3.4.1
java-sdk-3.4.0
3.3.x
java-sdk-3.3.2
java-sdk-3.3.1
3.2.x
java-sdk-3.2.1
java-sdk-3.2.0
3.1.x
java-sdk-3.1.0

How to add a dependency to Maven

Add the following com.baidu.aip : java-sdk maven dependency to the pom.xml file with your favorite IDE (IntelliJ / Eclipse / Netbeans):

<dependency>
    <groupId>com.baidu.aip</groupId>
    <artifactId>java-sdk</artifactId>
    <version>4.16.16</version>
</dependency>

How to add a dependency to Gradle

Gradle Groovy DSL: Add the following com.baidu.aip : java-sdk gradle dependency to your build.gradle file:

implementation 'com.baidu.aip:java-sdk:4.16.16'

Gradle Kotlin DSL: Add the following com.baidu.aip : java-sdk gradle kotlin dependency to your build.gradle.kts file:

implementation("com.baidu.aip:java-sdk:4.16.16")

How to add a dependency to SBT Scala

SBT Scala: Add the following com.baidu.aip : java-sdk sbt scala dependency to your build.sbt file:

libraryDependencies += "com.baidu.aip" % "java-sdk" % "4.16.16"

Advertisement

Dependencies from Group

May 16, 2023
19 usages
556 stars

Discover Dependencies

Aug 08, 2019
24 usages
622 stars
Aug 25, 2023
20 usages
622 stars
Jan 12, 2018
14 usages
7 stars
Jul 06, 2020
3.8k stars
Jan 11, 2018
814 stars
Apr 11, 2023
11 usages
794 stars
Jul 19, 2018
3 usages
74 stars
Jul 14, 2023
212 stars